## ClutterGstCameraManager ClutterGstCameraManager — A component to list available cameras. |

## Functions

const GPtrArray * | clutter_gst_camera_manager_get_camera_devices ()
ClutterGstCameraManager * | clutter_gst_camera_manager_get_default ()

## Signals

void | camera-added | Run Last
void | camera-removed | Run Last

## Types and Values

struct | ClutterGstCameraManager
struct | ClutterGstCameraManagerClass

## Object Hierarchy

        GObject
        ╰── ClutterGstCameraManager

## Description

ClutterGstCameraManager lists available cameras.

## Functions

### clutter_gst_camera_manager_get_camera_devices ()

    const GPtrArray *
    clutter_gst_camera_manager_get_camera_devices
                                   (ClutterGstCameraManager *self);

Retrieve an array of supported camera devices.

#### Parameters

self | a ClutterGstCameraManager |

#### Returns

An array of ClutterGstCameraDevice representing the supported camera devices.

[transfer none][element-type ClutterGst.CameraDevice]

### clutter_gst_camera_manager_get_default ()

    ClutterGstCameraManager *
    clutter_gst_camera_manager_get_default
                                   (void);

Get the camera manager.

This function has to be called from Clutter's main thread.

#### Returns

the default camera manager.

[transfer none]

## Types and Values

### struct ClutterGstCameraManager

    struct ClutterGstCameraManager;

An object to list available cameras on the system.

The ClutterGstCameraManager structure contains only private data and should not be accessed directly.

### struct ClutterGstCameraManagerClass

    struct ClutterGstCameraManagerClass {
    };

Base class for ClutterGstCamera.

## Signal Details

### The `“camera-added”` signal

    void
    user_function (ClutterGstCameraManager *self,
                   ClutterGstCameraDevice  *camera_device,
                   gpointer                 user_data)

The ::camera-added signal is emitted whenever a new camera device is available.

#### Parameters

self | the actor camera manager |
camera_device | a camera device added |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“camera-removed”` signal

    void
    user_function (ClutterGstCameraManager *self,
                   ClutterGstCameraDevice  *camera_device,
                   gpointer                 user_data)

The ::camera-removed signal is emitted whenever a camera device is unplugged/removed from the system.

#### Parameters

self | the actor camera manager |
camera_device | a camera device |
user_data | user data set when the signal handler was connected. |

Flags: Run Last